Name:           perl-Data-Constraint
Version:        1.203
Release:    1%{?dist}
Summary:        Prototypical value checking
License:        Artistic-2.0

URL:            https://metacpan.org/dist/Data-Constraint
Source0:        https://cpan.metacpan.org/authors/id/B/BD/BDFOY/Data-Constraint-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  %{__make}
BuildRequires:  %{__perl}

BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(:VERSION) >= 5.8

BuildRequires:  perl(Class::Prototyped)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(Test::More) >= 1
BuildRequires:  perl(base)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)


%description
A constraint is some sort of condition on a datum. This module checks one
condition against one value at a time, and I call the thing that checks
that condition the "constraint". A constraint returns true or false, and
that's it. It should have no side effects, it should not change program
flow, and it should mind its own business. Let the thing that calls the
constraint figure out what to do with it. I want something that says "yes"
or "no" (and I discuss why this needs a fancy module later).

%prep
%setup -q -n Data-Constraint-%{version}

chmod -x lib/Data/Constraint.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
%{__make} test

%files
%license LICENSE
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.203-1
- initial build
